<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:loadImage="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjcStorageUse" />

        <variable
            name="position"
            type="Integer" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingHorizontal="10dp"
        android:paddingVertical="8dp">

        <!-- 选项（单选框） -->
        <ImageView
            android:id="@+id/iv_checkbox"
            android:layout_width="0dp"
            android:layout_height="20dp"
            android:layout_gravity="center_vertical"
            android:layout_weight="0.5"
            loadImage="@{bean.checked.get() ? @drawable/radiobtn_checked_style : @drawable/radiobtn_unchecked_style}"
            android:src="@drawable/radiobtn_unchecked_style" />

        <!-- 库位号 -->
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@{bean.location ?? bean.storageCode}"
            android:textColor="@color/text_normal"
            android:textSize="14sp" />

        <!-- 入库人 -->
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@{bean.inOpId ?? bean.inId}"
            android:textColor="@color/text_normal"
            android:textSize="14sp" />

        <!-- 入库时间 -->
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_weight="1.5"
            android:gravity="center"
            android:text="@{bean.inDate ?? ``}"
            android:textColor="@color/text_normal"
            android:textSize="14sp" />

        <!-- 出库人 -->
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@{bean.outOpId ?? bean.outId}"
            android:textColor="@color/text_normal"
            android:textSize="14sp" />

        <!-- 出库时间 -->
        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_weight="1.5"
            android:gravity="center"
            android:text="@{bean.outDate ?? ``}"
            android:textColor="@color/text_normal"
            android:textSize="14sp" />

    </LinearLayout>

</layout>
